using System.Text.Json.Serialization;

namespace WmsMobileServe.ApiServe.Mobile.Dto;

public class BindingVehicleInEbsReq
{
    /// 载具号
    /// </summary>
    [JsonPropertyName("vehicleNo")]
    public string? VehicleNo { get; set; }

    /// <summary>
    /// 入库模式
    /// </summary>
    /// <remarks>
    /// 1 -- 直接入库
    /// 2 -- 去往站台
    /// </remarks>
    [JsonPropertyName("taskType")]
    public int? TaskType { get; set; }

    /// <summary>
    /// 绑定的物料
    /// </summary>
    [JsonPropertyName("bindingGoods")]
    public List<BindingGoods>? BindingGoodsDetails { get; set; }
}


public class BindingGoods
{

    /// <summary>
    /// 采购单号
    /// </summary>
    [JsonPropertyName("poHeaderId")]
    public string? PoHeaderId { get; set; }

    /// <summary>
    /// 物料号
    /// </summary>
    [JsonPropertyName("itemId")]
    public string? ItemId { get; set; }

    /// <summary>
    /// 批次号
    /// </summary>
    [JsonPropertyName("batch")]
    public string? Batch { get; set; }


    /// <summary>
    /// 数量
    /// </summary>
    [JsonPropertyName("quantity")]
    public string? Quantity { get; set; }





}
